# platform-dependent
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%if 0%{?suse_version}
  %bcond_with bugzilla

  %define dbus_devel dbus-1-devel
  %define libjson_devel libjson-devel
%else
  %bcond_without bugzilla

  %define dbus_devel dbus-devel
  %define libjson_devel json-c-devel
%endif

Summary: Generic library for reporting various problems
Name: libreport
Version: 2.9.1.4.gbb0c
Release: 1%{?dist}
License: GPLv2+
URL: https://abrt.readthedocs.org/
Source: https://github.com/abrt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires: %{dbus_devel}
BuildRequires: gtk3-devel
BuildRequires: curl-devel
BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: gettext
BuildRequires: libxml2-devel
BuildRequires: libtar-devel
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: texinfo
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: newt-devel
BuildRequires: libproxy-devel
BuildRequires: satyr-devel >= 0.18

%if 0%{?fedora} >= 24
# A test case uses zh_CN locale to verify XML event translations
BuildRequires: glibc-all-langpacks
%endif

%if %{with bugzilla}
BuildRequires: xmlrpc-c-devel
%endif
BuildRequires: doxygen
BuildRequires: systemd-devel
BuildRequires: augeas-devel
BuildRequires: augeas
BuildRequires: xz
BuildRequires: lz4
Requires: libreport-filesystem = %{version}-%{release}
Requires: satyr >= 0.18
Requires: xz
Requires: lz4

%description
Libraries providing API for reporting different problems in applications
to different bug targets like Bugzilla, ftp, trac, etc...

%package filesystem
Summary: Filesystem layout for libreport

%description filesystem
Filesystem layout for libreport

%package devel
Summary: Development libraries and headers for libreport
Requires: libreport = %{version}-%{release}

%description devel
Development libraries and headers for libreport

%package web
Summary: Library providing network API for libreport
Requires: libreport = %{version}-%{release}

%description web
Library providing network API for libreport

%package web-devel
Summary: Development headers for libreport-web
Requires: libreport-web = %{version}-%{release}

%description web-devel
Development headers for libreport-web

%package python
Summary: Python bindings for report-libs
# Is group correct here? -
Requires: libreport = %{version}-%{release}
%if 0%{?fedora}
Requires: dnf
%else
Requires: yum
%endif
Provides: report = 0:0.23-1
Obsoletes: report < 0:0.23-1
# in report the rhtsupport is in the main package, so we need to install it too
# report is only in RHEL6, we do not need to carry the dependency to newer RHELs
%if 0%{?rhel} == 6
Requires: libreport-plugin-rhtsupport = %{version}-%{release}
%endif

%description python
Python bindings for report-libs.

%package python3
Summary: Python 3 bindings for report-libs
Requires: libreport = %{version}-%{release}
# yum does not provide Python3 implementation
Requires: dnf

%description python3
Python 3 bindings for report-libs.

%package cli
Summary: %{name}'s command line interface
Requires: %{name} = %{version}-%{release}

%description cli
This package contains simple command line tool for working
with problem dump reports

%package newt
Summary: %{name}'s newt interface
Requires: %{name} = %{version}-%{release}
Provides: report-newt = 0:0.23-1
Obsoletes: report-newt < 0:0.23-1

%description newt
This package contains a simple newt application for reporting
bugs

%package gtk
Summary: GTK front-end for libreport
Requires: libreport = %{version}-%{release}
Requires: libreport-plugin-reportuploader = %{version}-%{release}
Requires: fros >= 1.0
Provides: report-gtk = 0:0.23-1
Obsoletes: report-gtk < 0:0.23-1

%description gtk
Applications for reporting bugs using libreport backend

%package gtk-devel
Summary: Development libraries and headers for libreport
Requires: libreport-gtk = %{version}-%{release}

%description gtk-devel
Development libraries and headers for libreport-gtk

%package plugin-kerneloops
Summary: %{name}'s kerneloops reporter plugin
Requires: curl
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}

%description plugin-kerneloops
This package contains plugin which sends kernel crash information to specified
server, usually to kerneloops.org.

%package plugin-logger
Summary: %{name}'s logger reporter plugin
Requires: %{name} = %{version}-%{release}

%description plugin-logger
The simple reporter plugin which writes a report to a specified file.

%package plugin-systemd-journal
Summary: %{name}'s systemd journal reporter plugin
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-systemd-journal
The simple reporter plugin which writes a report to the systemd journal.

%package plugin-mailx
Summary: %{name}'s mailx reporter plugin
Requires: %{name} = %{version}-%{release}
Requires: mailx

%description plugin-mailx
The simple reporter plugin which sends a report via mailx to a specified
email address.

%if %{with bugzilla}
%package plugin-bugzilla
Summary: %{name}'s bugzilla plugin
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}

%description plugin-bugzilla
Plugin to report bugs into the bugzilla.
%endif

%package plugin-mantisbt
Summary: %{name}'s mantisbt plugin
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}

%description plugin-mantisbt
Plugin to report bugs into the mantisbt.

%package centos
Summary: %{name}'s CentOS Bug Tracker workflow
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}
Requires: libreport-plugin-mantisbt = %{version}-%{release}

%description centos
Workflows to report issues into the CentOS Bug Tracker.

%package plugin-ureport
Summary: %{name}'s micro report plugin
BuildRequires: %{libjson_devel}
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}
%if 0%{?rhel}
Requires: python-rhsm
%endif

%description plugin-ureport
Uploads micro-report to abrt server

%package plugin-rhtsupport
Summary: %{name}'s RHTSupport plugin
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}
%if 0%{?rhel}
Requires: redhat-access-insights
%endif

%description plugin-rhtsupport
Plugin to report bugs into RH support system.

%if %{with bugzilla}
%package compat
Summary: %{name}'s compat layer for obsoleted 'report' package
Requires: libreport = %{version}-%{release}
Requires: %{name}-plugin-bugzilla = %{version}-%{release}
Requires: %{name}-plugin-rhtsupport = %{version}-%{release}

%description compat
Provides 'report' command-line tool.
%endif

%package plugin-reportuploader
Summary: %{name}'s reportuploader plugin
Requires: %{name} = %{version}-%{release}
Requires: libreport-web = %{version}-%{release}

%description plugin-reportuploader
Plugin to report bugs into anonymous FTP site associated with ticketing system.

%if 0%{?fedora}
%package fedora
Summary: Default configuration for reporting bugs via Fedora infrastructure
Requires: %{name} = %{version}-%{release}

%description fedora
Default configuration for reporting bugs via Fedora infrastructure
used to easily configure the reporting process for Fedora systems. Just
install this package and you're done.
%endif

%if 0%{?rhel}
%package rhel
Summary: Default configuration for reporting bugs via Red Hat infrastructure
Requires: %{name} = %{version}-%{release}

%description rhel
Default configuration for reporting bugs via Red Hat infrastructure
used to easily configure the reporting process for Red Hat systems. Just
install this package and you're done.

%package rhel-bugzilla
Summary: Default configuration for reporting bugs to Red Hat Bugzilla
Requires: %{name} = %{version}-%{release}
Requires: libreport-plugin-bugzilla = %{version}-%{release}
Requires: libreport-plugin-ureport = %{version}-%{release}

%description rhel-bugzilla
Default configuration for reporting bugs to Red Hat Bugzilla used to easily
configure the reporting process for Red Hat systems. Just install this package
and you're done.

%package rhel-anaconda-bugzilla
Summary: Default configuration for reporting anaconda bugs to Red Hat Bugzilla
Requires: %{name} = %{version}-%{release}
Requires: libreport-plugin-bugzilla = %{version}-%{release}

%description rhel-anaconda-bugzilla
Default configuration for reporting Anaconda problems to Red Hat Bugzilla used
to easily configure the reporting process for Red Hat systems. Just install this
package and you're done.
%endif

%if %{with bugzilla}
%package anaconda
Summary: Default configuration for reporting anaconda bugs
Requires: %{name} = %{version}-%{release}
Requires: libreport-plugin-reportuploader = %{version}-%{release}
%if 0%{?rhel}
Requires: libreport-plugin-rhtsupport = %{version}-%{release}
%else
Requires: libreport-plugin-bugzilla = %{version}-%{release}
%endif

%description anaconda
Default configuration for reporting Anaconda problems or uploading the gathered
data over ftp/scp...
%endif

%prep
%setup -q

%build
autoconf

CFLAGS="%{optflags} -Werror" %configure \
%if %{without bugzilla}
        --without-bugzilla \
%endif
%if 0%{?rhel} == 6
        --with-defaultdumpdirmode=0640 \
        --disable-userownsdumpdir \
%else
        --enable-doxygen-docs \
%endif
        --disable-silent-rules

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} mandir=%{_mandir}
%find_lang %{name}

# Remove byte-compiled python files generated by automake.
# automake uses system's python for all *.py files, even
# for those which needs to be byte-compiled with different
# version (python2/python3).
# rpm can do this work and use the appropriate python version.
find %{buildroot} -name "*.py[co]" -delete

# remove all .la and .a files
find %{buildroot} -name '*.la' -or -name '*.a' | xargs rm -f
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}/events.d/
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}/events/
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}/workflows.d/
mkdir -p %{buildroot}/%{_datadir}/%{name}/events/
mkdir -p %{buildroot}/%{_datadir}/%{name}/workflows/

# After everything is installed, remove info dir
rm -f %{buildroot}/%{_infodir}/dir

# Remove unwanted Fedora specific workflow configuration files
%if 0%{!?fedora:1}
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraCCpp.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraKerneloops.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraPython.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraPython3.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraVmcore.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraXorg.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraLibreport.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraJava.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_FedoraJavaScript.xml
rm -f %{buildroot}/%{_sysconfdir}/libreport/workflows.d/report_fedora.conf
rm -f %{buildroot}%{_mandir}/man5/report_fedora.conf.5
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_AnacondaFedora.xml
%endif

# Remove unwanted RHEL specific workflow configuration files
%if 0%{!?rhel:1}
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELCCpp.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELKerneloops.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELPython.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELvmcore.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELxorg.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELLibreport.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELJava.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELJavaScript.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_uReport.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_AnacondaRHEL.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_AnacondaRHELBugzilla.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaCCpp.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaKerneloops.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaPython.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaVmcore.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaXorg.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaLibreport.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaJava.xml
rm -f %{buildroot}/%{_datadir}/libreport/workflows/workflow_RHELBugzillaJavaScript.xml
rm -f %{buildroot}/%{_sysconfdir}/libreport/workflows.d/report_rhel.conf
rm -f %{buildroot}/%{_sysconfdir}/libreport/workflows.d/report_uReport.conf
rm -f %{buildroot}/%{_sysconfdir}/libreport/workflows.d/report_rhel_bugzilla.conf
rm -f %{buildroot}%{_mandir}/man5/report_rhel.conf.5
rm -f %{buildroot}%{_mandir}/man5/report_uReport.conf.5
rm -f %{buildroot}%{_mandir}/man5/report_rhel_bugzilla.conf.5
%endif

%check
make check|| {
    # find and print the logs of failed test
    # do not cat tests/testsuite.log because it contains a lot of bloat
    find tests/testsuite.dir -name "testsuite.log" -print -exec cat '{}' \;
    exit 1
}

%post gtk
/sbin/ldconfig
# update icon cache
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun gtk
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans gtk
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%post web -p /sbin/ldconfig


%postun web -p /sbin/ldconfig

%files -f %{name}.lang
%doc README
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/libreport.conf
%config(noreplace) %{_sysconfdir}/%{name}/report_event.conf
%config(noreplace) %{_sysconfdir}/%{name}/forbidden_words.conf
%config(noreplace) %{_sysconfdir}/%{name}/ignored_words.conf
%{_datadir}/%{name}/conf.d/libreport.conf
%{_libdir}/libreport.so.*
%{_libdir}/libabrt_dbus.so.*
%{_mandir}/man5/libreport.conf.5*
%{_mandir}/man5/report_event.conf.5*
%{_mandir}/man5/forbidden_words.conf.5*
%{_mandir}/man5/ignored_words.conf.5*
# filesystem package owns /usr/share/augeas/lenses directory
%{_datadir}/augeas/lenses/libreport.aug

%files filesystem
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/events.d/
%dir %{_sysconfdir}/%{name}/events/
%dir %{_sysconfdir}/%{name}/workflows.d/
%dir %{_datadir}/%{name}/events/
%dir %{_datadir}/%{name}/workflows/
%dir %{_sysconfdir}/%{name}/plugins/

%files devel
# Public api headers:
%doc apidoc/html/*.{html,png,css,js}
%{_includedir}/libreport/libreport_types.h
%{_includedir}/libreport/client.h
%{_includedir}/libreport/dump_dir.h
%{_includedir}/libreport/event_config.h
%{_includedir}/libreport/problem_data.h
%{_includedir}/libreport/problem_report.h
%{_includedir}/libreport/report.h
%{_includedir}/libreport/run_event.h
%{_includedir}/libreport/file_obj.h
%{_includedir}/libreport/config_item_info.h
%{_includedir}/libreport/workflow.h
%{_includedir}/libreport/problem_details_widget.h
%{_includedir}/libreport/problem_details_dialog.h
%{_includedir}/libreport/problem_utils.h
%{_includedir}/libreport/ureport.h
%{_includedir}/libreport/reporters.h
%{_includedir}/libreport/global_configuration.h
# Private api headers:
%{_includedir}/libreport/internal_abrt_dbus.h
%{_includedir}/libreport/internal_libreport.h
%{_includedir}/libreport/xml_parser.h
%{_includedir}/libreport/helpers
%{_libdir}/libreport.so
%{_libdir}/libabrt_dbus.so
%{_libdir}/pkgconfig/libreport.pc
%dir %{_includedir}/libreport

%files web
%{_libdir}/libreport-web.so.*

%files web-devel
%{_libdir}/libreport-web.so
%{_includedir}/libreport/libreport_curl.h
%{_libdir}/pkgconfig/libreport-web.pc

%files python
%{python_sitearch}/report/*
%{python_sitearch}/reportclient/*

%files python3
%{python3_sitearch}/report/*
%{python3_sitearch}/reportclient/*

%files cli
%{_bindir}/report-cli
%{_mandir}/man1/report-cli.1.gz

%files newt
%{_bindir}/report-newt
%{_mandir}/man1/report-newt.1.gz

%files gtk
%{_bindir}/report-gtk
%{_libdir}/libreport-gtk.so.*
%config(noreplace) %{_sysconfdir}/libreport/events.d/emergencyanalysis_event.conf
%{_mandir}/man5/emergencyanalysis_event.conf.5.*
%{_datadir}/%{name}/events/report_EmergencyAnalysis.xml
%{_mandir}/man1/report-gtk.1.gz

%files gtk-devel
%{_libdir}/libreport-gtk.so
%{_includedir}/libreport/internal_libreport_gtk.h
%{_libdir}/pkgconfig/libreport-gtk.pc

%files plugin-kerneloops
%{_datadir}/%{name}/events/report_Kerneloops.xml
%{_mandir}/man*/reporter-kerneloops.*
%{_bindir}/reporter-kerneloops

%files plugin-logger
%config(noreplace) %{_sysconfdir}/libreport/events/report_Logger.conf
%{_mandir}/man5/report_Logger.conf.5.*
%{_datadir}/%{name}/events/report_Logger.xml
%{_datadir}/%{name}/workflows/workflow_Logger.xml
%{_datadir}/%{name}/workflows/workflow_LoggerCCpp.xml
%config(noreplace) %{_sysconfdir}/libreport/events.d/print_event.conf
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_logger.conf
%{_mandir}/man5/print_event.conf.5.*
%{_mandir}/man5/report_logger.conf.5.*
%{_bindir}/reporter-print
%{_mandir}/man*/reporter-print.*

%files plugin-systemd-journal
%defattr(-,root,root,-)
%{_bindir}/reporter-systemd-journal
%{_mandir}/man*/reporter-systemd-journal.*

%files plugin-mailx
%config(noreplace) %{_sysconfdir}/libreport/plugins/mailx.conf
%{_datadir}/%{name}/conf.d/plugins/mailx.conf
%{_datadir}/%{name}/events/report_Mailx.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.mailx.xml
%{_datadir}/%{name}/workflows/workflow_Mailx.xml
%{_datadir}/%{name}/workflows/workflow_MailxCCpp.xml
%config(noreplace) %{_sysconfdir}/libreport/events.d/mailx_event.conf
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_mailx.conf
%{_mandir}/man5/mailx.conf.5.*
%{_mandir}/man5/mailx_event.conf.5.*
%{_mandir}/man5/report_mailx.conf.5.*
%{_mandir}/man*/reporter-mailx.*
%{_bindir}/reporter-mailx

%files plugin-ureport
%config(noreplace) %{_sysconfdir}/libreport/plugins/ureport.conf
%{_datadir}/%{name}/conf.d/plugins/ureport.conf
%{_bindir}/reporter-ureport
%{_mandir}/man1/reporter-ureport.1.gz
%{_mandir}/man5/ureport.conf.5.gz
%{_datadir}/%{name}/events/report_uReport.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.ureport.xml

%if %{with bugzilla}
%files plugin-bugzilla
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla.conf
%{_datadir}/%{name}/conf.d/plugins/bugzilla.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla_format.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla_formatdup.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla_format_analyzer_libreport.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla_format_kernel.conf
%{_datadir}/%{name}/events/report_Bugzilla.xml
%{_datadir}/%{name}/events/watch_Bugzilla.xml
%config(noreplace) %{_sysconfdir}/libreport/events/report_Bugzilla.conf
%config(noreplace) %{_sysconfdir}/libreport/events.d/bugzilla_event.conf
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.bugzilla.xml
# FIXME: remove with the old gui
%{_mandir}/man1/reporter-bugzilla.1.gz
%{_mandir}/man5/report_Bugzilla.conf.5.*
%{_mandir}/man5/bugzilla_event.conf.5.*
%{_mandir}/man5/bugzilla.conf.5.*
%{_mandir}/man5/bugzilla_format.conf.5.*
%{_mandir}/man5/bugzilla_formatdup.conf.5.*
%{_mandir}/man5/bugzilla_format_analyzer_libreport.conf.5.*
%{_mandir}/man5/bugzilla_format_kernel.conf.5.*
%{_bindir}/reporter-bugzilla
%endif

%files plugin-mantisbt
%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt.conf
%{_datadir}/%{name}/conf.d/plugins/mantisbt.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt_format.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt_formatdup.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt_format_analyzer_libreport.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt_formatdup_analyzer_libreport.conf
%{_bindir}/reporter-mantisbt
%{_mandir}/man1/reporter-mantisbt.1.gz
%{_mandir}/man5/mantisbt.conf.5.*
%{_mandir}/man5/mantisbt_format.conf.5.*
%{_mandir}/man5/mantisbt_formatdup.conf.5.*
%{_mandir}/man5/mantisbt_format_analyzer_libreport.conf.5.*
%{_mandir}/man5/mantisbt_formatdup_analyzer_libreport.conf.5.*

%files centos
%{_datadir}/%{name}/workflows/workflow_CentOSCCpp.xml
%{_datadir}/%{name}/workflows/workflow_CentOSKerneloops.xml
%{_datadir}/%{name}/workflows/workflow_CentOSPython.xml
%{_datadir}/%{name}/workflows/workflow_CentOSPython3.xml
%{_datadir}/%{name}/workflows/workflow_CentOSVmcore.xml
%{_datadir}/%{name}/workflows/workflow_CentOSXorg.xml
%{_datadir}/%{name}/workflows/workflow_CentOSLibreport.xml
%{_datadir}/%{name}/workflows/workflow_CentOSJava.xml
%{_datadir}/%{name}/workflows/workflow_CentOSJavaScript.xml
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_centos.conf
%{_mandir}/man5/report_centos.conf.5.*
%{_datadir}/%{name}/events/report_CentOSBugTracker.xml
%config(noreplace) %{_sysconfdir}/libreport/events/report_CentOSBugTracker.conf
%{_mandir}/man5/report_CentOSBugTracker.conf.5.*
# report_CentOSBugTracker events are shipped by libreport package
%config(noreplace) %{_sysconfdir}/libreport/events.d/centos_report_event.conf
%{_mandir}/man5/centos_report_event.conf.5.gz

%files plugin-rhtsupport
%config(noreplace) %{_sysconfdir}/libreport/plugins/rhtsupport.conf
%{_datadir}/%{name}/conf.d/plugins/rhtsupport.conf
%{_datadir}/%{name}/events/report_RHTSupport.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.rhtsupport.xml
%config(noreplace) %{_sysconfdir}/libreport/events.d/rhtsupport_event.conf
%{_mandir}/man1/reporter-rhtsupport.1.gz
%{_mandir}/man5/rhtsupport.conf.5.*
%{_mandir}/man5/rhtsupport_event.conf.5.*
%{_bindir}/reporter-rhtsupport

%if %{with bugzilla}
%files compat
%{_bindir}/report
%{_mandir}/man1/report.1.gz
%endif

%files plugin-reportuploader
%{_mandir}/man*/reporter-upload.*
%{_mandir}/man5/uploader_event.conf.5.*
%{_bindir}/reporter-upload
%{_datadir}/%{name}/events/report_Uploader.xml
%config(noreplace) %{_sysconfdir}/libreport/events.d/uploader_event.conf
%{_datadir}/%{name}/workflows/workflow_Upload.xml
%{_datadir}/%{name}/workflows/workflow_UploadCCpp.xml
%config(noreplace) %{_sysconfdir}/libreport/plugins/upload.conf
%{_datadir}/%{name}/conf.d/plugins/upload.conf
%{_mandir}/man5/upload.conf.5.*
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_uploader.conf
%{_mandir}/man5/report_uploader.conf.5.*
%config(noreplace) %{_sysconfdir}/libreport/events/report_Uploader.conf
%{_mandir}/man5/report_Uploader.conf.5.*

%if 0%{?fedora}
%files fedora
%{_datadir}/%{name}/workflows/workflow_FedoraCCpp.xml
%{_datadir}/%{name}/workflows/workflow_FedoraKerneloops.xml
%{_datadir}/%{name}/workflows/workflow_FedoraPython.xml
%{_datadir}/%{name}/workflows/workflow_FedoraPython3.xml
%{_datadir}/%{name}/workflows/workflow_FedoraVmcore.xml
%{_datadir}/%{name}/workflows/workflow_FedoraXorg.xml
%{_datadir}/%{name}/workflows/workflow_FedoraLibreport.xml
%{_datadir}/%{name}/workflows/workflow_FedoraJava.xml
%{_datadir}/%{name}/workflows/workflow_FedoraJavaScript.xml
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_fedora.conf
%{_mandir}/man5/report_fedora.conf.5.*
%endif

%if 0%{?rhel}
%files rhel
%{_datadir}/%{name}/workflows/workflow_RHELCCpp.xml
%{_datadir}/%{name}/workflows/workflow_RHELKerneloops.xml
%{_datadir}/%{name}/workflows/workflow_RHELPython.xml
%{_datadir}/%{name}/workflows/workflow_RHELvmcore.xml
%{_datadir}/%{name}/workflows/workflow_RHELxorg.xml
%{_datadir}/%{name}/workflows/workflow_RHELLibreport.xml
%{_datadir}/%{name}/workflows/workflow_RHELJava.xml
%{_datadir}/%{name}/workflows/workflow_RHELJavaScript.xml
%{_datadir}/%{name}/workflows/workflow_uReport.xml
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_rhel.conf
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_uReport.conf
%{_mandir}/man5/report_rhel.conf.5.*
%{_mandir}/man5/report_uReport.conf.5.*

%files rhel-bugzilla
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaCCpp.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaKerneloops.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaPython.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaVmcore.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaXorg.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaLibreport.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaJava.xml
%{_datadir}/%{name}/workflows/workflow_RHELBugzillaJavaScript.xml
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_rhel_bugzilla.conf
%{_mandir}/man5/report_rhel_bugzilla.conf.5.*

%files rhel-anaconda-bugzilla
%{_datadir}/%{name}/workflows/workflow_AnacondaRHELBugzilla.xml
%endif

%if %{with bugzilla}
%files anaconda
%if 0%{?fedora}
%{_datadir}/%{name}/workflows/workflow_AnacondaFedora.xml
%endif
%if 0%{?rhel}
%{_datadir}/%{name}/workflows/workflow_AnacondaRHEL.xml
%endif
%{_datadir}/%{name}/workflows/workflow_AnacondaUpload.xml
%config(noreplace) %{_sysconfdir}/libreport/workflows.d/anaconda_event.conf
%config(noreplace) %{_sysconfdir}/libreport/events.d/bugzilla_anaconda_event.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla_format_anaconda.conf
%config(noreplace) %{_sysconfdir}/libreport/plugins/bugzilla_formatdup_anaconda.conf
%{_mandir}/man5/anaconda_event.conf.5.*
%{_mandir}/man5/bugzilla_anaconda_event.conf.5.*
%{_mandir}/man5/bugzilla_format_anaconda.conf.5.*
%{_mandir}/man5/bugzilla_formatdup_anaconda.conf.5.*
%endif

%changelog
* Thu Mar 16 2017 Matej Habrnal <mhabrnal@redhat.com> 2.9.1-1
- build: create tarball in release-* target
- problem_data: fix double const
- wizard: fix error found by -Werror=format-security
- run_event: fix cmp between pointer and zero character
- build: do not upload tarball to fedorahosted.org
- spec: do not use fedorahosted.org as source
- build: fix generating list of dependences in autogen.sh
- build: generate new release entries with date
- report-newt: free allocated variables, don't close dd twice
- build: fix scratch-build target
- changelog: reflect the PR
- lib: several bug fixes in parsing of mountinfo
- lib: correctly recognize chroot in container
- lib: declare CONTAINER_ROOTS element name
- lib: add more log wrappers for perror
- reporter-bugzilla: use /etc/os-release for default url
- configure.ac: Remove nss dependency
- spec: include testsuite headers in the devel package
- tests: include testsuite.h in the dist archive
- maint: check pulled .po files for errors
- build: fix bug in changelog generating in release target
- changelog: fix typos

* Fri Dec 02 2016 Jakub Filak <jakub@thefilaks.net> 2.9.0-1
- Translation updates
- build: make the release-* targets smarter
- add CHANGELOG.md
- reporter-s-journal: enable SYSLOG_IDENTIFIER from env
- report-python: add method run_event_on_problem_dir
- lib: use lz4 instead of lz4cat
- reportclient: honor ABRT_VERBOSE
- tree-wide: introduce 'stop_on_not_reportable' option
- client: add support for $releasever to debuginfo
- lib: correct test for own root
- workflows: run analyze_BodhiUpdates event on Fedora
- man: fix formating
- reporter-systemd-journal: introduce reporter-systemd-journal
- problem_data: add function which returns all problem data keys
- include: add exception_type element constant
- spec: changes related to reporter-systemd-journal
- problem_report: add normalization of crashed thread
- problem_report: make generate report configurable
- problem_report: use core_backtrace if there is no backtrace
- lib: refuse to parse negative number as unsigned int
- spec: simplify and remove old conditional
- build: add gettext-devel to sysdeps
- dd: add check for validity of new file FD
- build: configure tree for debugging by default
- spec: use %buildroot macro
- spec: remove defattr which match the defaults
- spec: do not clean buildroot
- spec: remove Groups
- spec: code cleanup
- lib: fix a bug in dealing with errno
- lib: add convenient wrappers for uint in map_string_t
- problem_report: ensure C-string null terminator
- lib: fix invalid cgroup namespace ID
- lib: make die function configurable
- lib: allow using FD of /proc/[pid] instead of pid_t
- dd: add functions for opening dd item
- lib: add xfdopen
- problem data: search for sensitive words in more files
- dd: add dd_copy_file_at
- ignored words: add "systemd-logind" and "hawkey"
- build: reset the default version with each release
- doc: make README more verbose
- tree-wide: produce less messages in NOTICE log lvl
- ureport: less confusing logging
- spec: install JavaScript workflows
- workflow: add JavaScript workflows
- bugzilla: stop including package details

* Fri Sep 09 2016 Jakub Filak <jfilak@redhat.com> 2.8.0-1
- lib: fix a memory leak in create_dump_dir fn
- rhtsupport: fix a double free of config at exit
- autogen: fix typo in usage help string
- debuginfo: dnf API logging workarounds list
- lib: don't warn when user word file doesn't exist
- testuite: add test for forbidden_words
- lib: be able to define base conf dir at runtime
- wizard: use dnf instead of yum in add a screencast note
- problem_report: document resevered elements

* Mon Jul 18 2016 Matej Habrnal <mhabrnal@redhat.com> 2.7.2-1
- Translation updates
- wizard: do not create reproducible if complex_detail == no
- include: save_user_settings function declaration isn’t a prototype
- Bugzilla: fix typo in comment don -> don't
- client-python: fix a typo in error check
- dd: do not log missing uid file when creating new dump dir
- build: update searched pkg names for systemd

* Wed May 18 2016 Matej Habrnal <mhabrnal@redhat.com> 2.7.1-1
- spec: compression updates
- lib: add lz4 decompression
- lib: avoid the need to link against lzma
- all: format security
- lib: add cgroup namespace
- dd: introduce functions getting occurrence stamps
- dd: introduce dd_get_env_variable
- lib: add get env variable from a file
- RHTSupport: include count in Support cases
- lib: problem report API check fseek return code
- ignored words: remove 'kwallet_jwakely' which I added wrongly

* Fri Apr 08 2016 Matej Habrnal <mhabrnal@redhat.com> 2.7.0-1
- ignored words: update ignored words
- mailx: introduce debug parameter -D
- mailx: mail formatting: add comment right after %oneline
- mailx: use problem report api to define an emais' content
- lib: remove unused function make_description_bz
- augeas: trim spaces before key value
- Revert "xml parser: be more verbose in case xml file cannot be opened"
- xml parser: be more verbose in case xml file cannot be opened
- spec: add workflows.d to filesystem package
- makefile: define LANG in release target
- mailx: stop creating dead.letter on mailx failures
- workflows: add comments to ambiguous functions
- workflows: NULL for the default configuration dir
- workflows: publish the function loading configuration
- build: fix build on Fedora24
- augeas: exclude mantisbt format configurations
- reporter-mantisbt: add missing '=' to conf file
- curl: fix typo Ingoring -> Ignoring
- rhtsupport: attach all dump dir's element to a new case
- rhtsupport: add pkg_vendor, reproducer and reproducible to description
- report client: add silent mode to clean_up()
- doc: add documentation for requires-details attribute
- rhtsupport: Discourage users from reporting in non Red Hat stuff
- rhtsupport: Discourage users from opening one-shot crashes
- report-gtk: Require Reproducer for RHTSupport
- Add workflow for RHEL anonymous report
- spec: add workflow for RHEL anonymous report files
- wizard: fix the broken widget expansion
- dd: add documentation of dd_create_skeleton
- workflow: add extern C to the header file
- Fix minor typos
- Translation updates
- translations: update zanata configuration
- wizard: fix the broken "Show log" widget
- wizard: remove the code correcting Bugzilla groups

* Tue Feb 02 2016 Matej Habrnal <mhabrnal@redhat.com> 2.6.4-1
- doc: add option -o and -O into reporter-ureport man page
- rhtsupport: use problme report API to create description
- bugzilla: make the event configurable
- report-gtk: offer users to create private ticket
- bugzilla|centos: declare 'restricted access' support
- event config: add support for 'restricted access'
- lib: move CREATE_PRIVATE_TICKET to the global configuration
- dd: dd_delete_item does not die
- dd: add function getting stat of item
- dd: correct handling of TYPE when creating dump directory
- dd: add function computing dump dir file system size
- dd: add function counting number of dd items
- dd: add function copying file descriptor to element
- dd: allow 1 and 2 letter long element names
- problem_data: factor out function reading single problem element
- formatdup: more universal comment
- dd: make function uid_in_group() public
- Refactoring conditional directives that break parts of statements.
- bugzilla: actualize man pages
- bugzilla: don't report private problem as comment
- uploader: move username and password to the advanced options
- uploader: allow empty username and password
- spec: add uploader config files and related man page
- uploader: add possibility to set SSH keyfiles
- curl: add possibility to configure SSH keys
- desktop-utils: deal with Destkop files without command line
- ureport: enable attaching of arbitrary values
- update .gitignore
- uploader: save remote name in reported_to
- curl: return URLs without userinfo
- lib: add function for removing userinfo from URIs
- plugins: port reporters to add_reported_to_entry
- reported_to: add a function formatting reported_to lines
- lib: introduce parser of ISO date strings
- uploader: use shared dd_create_archive function
- dd: add a function for compressing dumpdirs
- problem_report: add examples to the documentation
- client: document environment variables

* Thu Oct 15 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.3-1
- wizard: correct comments in save_text_if_changed()
- events: improve example
- reporter-bugzilla: add parameter -p
- wizard: fix save users changes after reviewing dump dir files
- dd: make function load_text_file non-static
- bugzilla: don't attach build_ids
- run_event: rewrite event rule parser
- dd: add convenience wrappers fro loading numbers
- ureport: improve curl's error messages
- ureport: use Red Hat Certificate Authority to make rhsm cert trusted
- curl: add posibility to use own Certificate Authority cert
- spec: add redhat-access-insights to Requires of l-p-rhtsupport
- bugzilla: put VARIANT_ID= to Whiteboard
- autogen: use dnf instead of yum to install dependencies
- configure: use hex value for dump dir mode
- curl: add a helper for HTTP GET
- dd: don't warn about missing 'type' if the locking fails
- dd: stop warning about corrupted mandatory files
- Use a dgettext function returning strings instead of bytes

* Fri Jul 17 2015 Jakub Filak <jfilak@redhat.com> 2.6.2-1
- dd: extend the scope of DD_DONT_WAIT_FOR_LOCK
- bugzilla: remove an extra new line from a log message
- bugzilla: do not attach extra-cc element
- lib: get possible events for problem_data_t
- lib: parse list delimited by any character
- bugzilla: Add check for extra-cc file

* Thu Jul 02 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.1-1
- dd: add function loading uint32_t
- ureport: add functionality to use consumer certificate
- lib: improve client.h documentation
- support new dump dir element 'tid'
- reportclient: minor python style fixes
- reportclient: fix dnf logging
- lib: don't log attempts to load non-existent files
- spec: use more appropriate url
- lib: fix in dialog ask_yes_no_save_result
- spec: remove an unnecessary Require on pygobject3

* Tue Jun 09 2015 Jakub Filak <jfilak@redhat.com> 2.6.0-1
- report: wrap more dump dir functions
- dd: document dd_create_basic_files
- lib: add support for ask_yes_no_save_result
- client-python: add python wrapper for 'ask_yes_no_save_result'
- client: add function ask_yes_no_save_result
- lib: correctly join env and file AlwaysExcludedElements values
- lib: return an empty vector for empty AlwaysExcludedElements
- lib: enable loading the global conf from a custom dir
- fix missing icon for "stop" icon name
- dd: don't use eUID for owner, use fs uid instead
- dd: set owner to UID when creating dd from problem data
- dd: make super-user UID and FS group configurable
- lib: add utility functions parsing numbers
- dd: add owner to meta-data
- dd: add a function parsing number from fd
- dd: add support for meta-data
- lib: parse fsgid and don't fall back to 0
- build: switch the default dump dir mode to 0640
- lib: add alternative dd functions accepting fds
- lib: fix races in dump directory handling code
- lib: allow creating root owned problem directories from problem data
- dd: harden functions against directory traversal issues
- lib: add a function checking file names
- dump_dir: allow hooks to create dump directory without parents
- dump_dir: allow creating of a new dir w/o chowning it
- lib: introduce a new function copy_file_ext
- lib: make the dump proc data functions more robust
- update po/Makefile.in.in
- dumpdir: fix initialization of dd_gid
- bugzilla: Spell Bugzilla, not BZ in UI
- translations updates
- spec: add files related to reporting AVCs by reporter-mantisbt
- reporter-mantisbt: add event for reporting AVCs
- report client: check owner of /var/cache/abrt-di when unpacking fails
- report client: fix - close an unclosed file
- report client: provide cpio log when unpacking fails
- reporter-mantisbt: switch from 'analyzer' to 'type'
- client-python: remove shebang from non-executable scripts

* Thu Apr 09 2015 Jakub Filak <jfilak@redhat.com> 2.5.1-1
- Translation updates
- problem_data: cache problem_item size

* Wed Mar 18 2015 Jakub Filak <jfilak@redhat.com> 2.5.0-1
- spec: require dnf in libreport-python3
- gui: Add helper to detect apps from their environment
- problem_data: add a new function problem_item_get_size
- require dnf instead of yum in f22+
- build: add CentOS filest to EXTRA_DIST
- reporter-mantisbt: add workflow_CentOS* and report_CentOS* to POTFILES.in
- Port reportclient to python3
- dnfdebuginfo: check the status of downloading
- reportclient: return full path to downloaded debuginfo packages
- reportclient: introduce DNF debug info downloader
- build: create reportclient sub-directory
- Python 3 compatibility
- report-python: fix getVersion_fromOSRELEASE
- ignored words: ignore lxqt-openssh-askpass
- RHTSupport: include reported_to in Support cases
- spec: don't pull libreport-python with libreport
- spec: bump required satyr verion
- reporter-mantisbt: adds man pages for reporter-mantisbt
- spec: change spec file to work with last commit
- reporter-mantisbt: set up default mantisbt.conf configuration
- reporter-mantisbt: change default formating file for duplicate issues

* Fri Feb 20 2015 Jakub Filak <jfilak@redhat.com> 2.4.0-1
- ignored words: add a few 'key' and 'access' words
- ignored words: fix a typo in SHELL=/sbin/nologin
- ignored words: "passed" is not a dirty word
- lib: remove unused function related to containers
- lib: add container utility functions
- lib: add global configuration option for excluded elements
- spec: install global_configuration stuff
- lib: introduce global configuration
- conf files: be able to make directories optional
- lib: introduce a new function returning base user conf directory
- includes: move stdbool.h to libreport_types.h
- utils: make arguments of a list func const
- fix several memory leaks
- cli: fix gcc-5 warning
- gui: Add test application for desktop file utils
- spec: Add new header to the RPM package
- gui: Add helper to get an app from a command-line
- reporter-mantisbt: change SOAP API namespace
- reporter-mantisbt: add property (array size) to the <custom_fields> item
- reporter-mantisbt: bug fix - additional information can be NULL
- reporter-mantisbt: better error message
- reporter-mantisbt: fix the parameter -h bug
- reporter-mantisbt: changed loading project name from os_info
- reporter-mantisbt: temporarily removed event 'post_report'
- reporter-mantisbt: fixed loading project name from os_info
- mantis-reporter: not attaching backtrace with the same rating
- spec: rename workflow-centos sub-package
- problem_report: switch from analyzer to type
- spec: update spec file to work with last commit
- mantis-reporter: added definition of the report_CentOSBugTracker event
- reporter-mantisbt: added workflow for CentOS
- reporter-mantisbt: update searching methods
- build: launch configure from autogen.sh
- disable gdk deprecation warnings
- bugzilla: remove already removed code
- rewrite dump_fd_info()
- switch from 'analyzer' to 'type'
- spec: add xz-devel to the build requirements
- dump_dir: introduce dd_copy_file_unpack()
- dump_dir: introduce dd_copy_file()
- Whitespace fix
- dump_dir: allow (semi)recursive locking
- Translation updates
- translations: move from transifex to zanata
- reporter-mantisbt: added 'get ids from names' functionality
- reporter-mantisbt: fixed typos
- reporter-mantisbt: changed error messages
- ureport: correct variable initializations
- Do not use 'bool' in OPT_BOOL() macro : it expects 'int'
- spec: changed spec file to work with reporter-mantisbt
- reporter-mantisbt: first version of the reporter-mantisbt
- spec: changed spec file to work with last commit
- lib: created a new lib file for reporters
- ureport: introduce HTTPAuth
- lib: add a clone function for map_string_t
- lib: add functions to load/save plugin conf files
- lib: make config files loading quiter
- dump_dir: add function for creating a dump dir in dump location
- gui: try to reduce false positive sensitive words
- gui: ignore (a|A)ccesib(ility|le) words
- spec: reflect changes due to Problem Report API
- bugzilla: port to Problem Format API
- lib: add Problem Format API
- lib: add /proc/[pid]/utils
- report, client: fix minor python3 incompatibilities
- forbidden words: add OpenStack related strings
- ureport: uReport_ContactEmail setting can be left empty
- anaconda: mark anaconda-tb as editable file and remove rootpw lines
- Revert "ureport: use 'rhsm' ssl client auth by default"
- spec: update the URL
- Prevent duplicate values for CODE_* fields being logged to journal.
- problem_data: make ks.cfg file editable
- wizard: put rootpw on the forbidden words list
- anaconda: auto-remove rootpw lines
- spec: dump the log files of failed unit tests
- Revert "ureport: consistently die on all client auth errors"
- rhtsupport: move RH Portal URL c. o. to Advanced section
- rhtsupport: be able to turn uReport off from GUI
- ureport: be able to configure ContactEmail from GUI
- ureport: use 'rhsm' ssl client auth by default
- doc: fix asciidoc misrendering
- ureport: fix a memory leak related to AuthDataItems
- ureport: wrong description of two functions in ureport.h
- ureport: fall back to the hardcoded rhsm cert dir
- spec: ureport requires python-rhsm on rhel
- rhtsupport: do not leak the hints results
- rhtsupport: never use uReport URL from ureport.config
- ureport: consistently die on all client auth errors
- ureport: get rhsm entitlement cert dir from rhsm conf
- ureport: use entit certs with 'rhsm' and drop 'rhsm-entitlement'
- ureport: allow multiple cert file in rhsm-entitlement dir
- rhtsupport: send ureport before creating description
- ureport: document rhsm-entitlement in the man page
- rhtsupport: attach the contact email to bthash
- rhtsupport: re-prompt for credentials
- lib: fix a bug in ureport response parser
- upload: don't ask for password if the env var is empty string

* Fri Oct 03 2014 Jakub Filak <jfilak@redhat.com> 2.3.0-1
- lib: process NULL arg as an empty list in parse_list()
- uploader: correct capitalization of the event name
- upload: read credentials from environment variables
- lib: handle access denials in upload_file()
- ureport: include AuthDataItems if SSLClientAuth is configured
- ureport: provide default URLs
- rhtsupport: check for hints only when creating a new case
- rhtsupport: submit ureport and attach case ID to ureport
- bugzilla: add comment to closed bugs too
- ureport: support HTTP Basic authentication
- spec: install ureport.h
- ureport: aggressive refactorization of uReport source
- ureport: publish ureport.h and refactore uReport source
- doc: updated manpages reporter-*
- man_page: corrected man pages
- make dist: use tar-ustar due to long filenames
- augeas: exclude bugzilla format configurations
- spec: update the spec file to work with the last commit
- workflow: add new workflows
- ureport: use additional HTTP headers with 'rhsm-entitlement' cert auth
- lib: add strremovech(str, ch)
- lib: add wrapper for g_hash_table_size()
- lib: add xstrdup_between(str, open, close)
- ureport: enabled inclusion of Authentication data
- make_desc: add reason to the list
- lib: use userfriendly order in the make_description
- lib: add function index_of_string_in_list
- spec: update the spec file to work with the last commit.
- Fix bugzilla bug formating for libreport analyzer
- wizard: make report-gtk's application nonunique
- lib: make_description show not-reportable
- report: parse release/version from os-release
- wizard: "Next" button insensitive on the review page by default
- wizard: don't work with destroyed widgets
- gui: fix build with older gtk
- spec: install Problem Details stuff
- gui: port to Problem Details suite
- gui: Problem Details suite
- gui: use -symbolic icons
- mailx: print only one log message in notify_only mode
- lib: don't spit unnecessary debug messages
- wizard: terminate event chain after the emergency analysis
- Get rid of deprecation warnings introduced with gtk-3.13.6
- gui: add "Repeat" button
- gui: reload destroyed sensitive data warn widgets from the galde
- gui: don't remove already removed GTimeoutSource
- gui: clear the sensitive cache between two event runs
- gui: conver report-gtk to GtkApplication
- gui: simplify the event selector page
- gui: generate the glade file with glade-3.18
- gui: fix build errors introduced in the previous commit
- gui: port to gtk-3.13
- ureport: include json.h accordingly to json-c CFLAGS
- json: include json.h accordingly to json-c CFLAGS
- logging: test log level at first step
- gui: close ask dialogues on Enter key
- gui: apply configuration dialogues changes on Enter key
- gui: support Enter & 2Click in Preferences list
- wizard: fix help text for screencasting
- gui: wrap lines for human readable files
- gui: select the first in the configuration list
- gui: make preferences dialogue modal for parents
- ureport: implement attaching of user comments

* Tue Jul 08 2014 Jakub Filak <jfilak@redhat.com> 2.2.3-1
- wizard: Do not highlight sensitive words in user's comment
- bugzilla: show description for all configuration options
- wizard: use a tab for Advanced opts instead of an expander
- mailx: improve notification e-mail format
- configure: Support cross compiling with python3
- ignored words: add well known SELinux messages
- reporter-upload: more descriptive message about missing URL
- GUI: remove the intermediate configuration dialog
- refactoring: unify event configuration dialogs
- hide "Don't store password" checkbox
- Bugzilla: move the advanced options to the advanced section
- less confusing label for 'upload data' in Anaconda
- define priorities for the existing workflows
- Worklflow: order workflows according to their priority
- Bugzilla: session parameters for XML RPC calls
- Bugzilla: pass Bugzilla_token in all relevant XML RPC calls

* Sun Apr 20 2014 Jakub Filak <jfilak@redhat.com> 2.2.2-1
- stop using deprecated json-c functions
- bugzilla: try to avoid usage of 'private' group
- spec: install ignored_words.conf manual page
- wizard: extended the manual pages
- localization: fix gettext
- wizard: make the custom search case insensitive
- use a better label for the forbidden words button
- include 'package' in AVC bugzilla bug reports

* Fri Apr 04 2014 Jakub Filak <jfilak@redhat.com> 2.2.1-1
- update the list of ignored words
- wizard: introduce the searched words list
- report-gtk: confirm the ask dialogs on 'Enter'
- spec: provide default config for reporter-upload
- Provide default config for reporter-upload
- config: do not export empty environment variables
- spec: byte-compile py files with rpm scripts

* Wed Mar 05 2014 Jakub Filak <jfilak@redhat.com> 2.2.0-1
- Translation updates
- Bugzilla: fedora_contrib_private group ID for the private bugs
- remove invalid bytes from 'sv' strings
- client API: return empty string instead of NULL
- spec: add watch_Bugzilla.xml
- introduce 'watch_Bugzilla' event
- ignored words: add SSH_ASKPASS words
- introduce import-event-options in xml event definitions
- correct name of RH Customer Portal
- Fix type in error message
- Translation updates
- add libpciaccess.so to the list of ignored keywords
- spec: install workflows for python 3 type
- add workflow for python 3 type
- python: build python api for py3
- Fix typo in error message
- localization: properly handle locales with encoding suffix
- event configuration: load default values from configuration directory
- Provide SYSLOG_FACILITY when logging through journal
- spec: fix a pair of typos in %description

* Thu Jan 30 2014 Jakub Filak <jfilak@redhat.com> 2.1.12-1
- fix loading of the user list of ignored words
- report-cli: use the Client API for communication to user
- add more forbidden words
- a better message for invalid data in backtrace_rating
- config dialog: remove ';' placed just behind if statement
- add SSLClientAuth to ureport dbus config interface
- ureport: add support for client-side authentication
- Export plugin config dir in pkg-config
- spec: install Java workflows
- add Java reporting workflows
- spec: install the dbus configuration interfaces
- define DBus config interfaces for all plugins
- make: add libreport workflow fedora to dist files
- spec: install libreport type workflows
- add a workflow for libreport type problems
- configure: escape square braces
- configure: remove all -Werror from O0CFLAGS
- wizard: do not use deprecated gtk3 API
- workflow_RHELvmcore: run analyze_VMcore too

* Wed Jan 08 2014 Jakub Filak <jfilak@redhat.com> 2.1.11-1
- Update translations
- map_string_t: fix overflow detection in "to int conversion"
- add type agnostic functions for map_string_t
- %description spelling fix.
- remove left over debug stmts from conf files fns
- spec: remove RHEL files from non-RHEL builds
- update titles of RHTS workflows
- spec: add a package which ships Anaconda RHEL BZ WFS
- add Anaconda Bugzilla reporting workflows for RHEL
- spec: add a package which ships RHEL Bugzilla workflows
- add Bugzilla reporting workflows for RHEL
- remove file options not matching any setting

* Wed Dec 11 2013 Jakub Filak <jfilak@redhat.com> 2.1.10-1
- make: filter out useless msgs in chagelog gen alg
- bugzilla: no extra email notification on URL addition
- Make make_description() output less confusing
- Ensure 'long long unsigned' in printf format args
- add unit test for make_description (SHOW_URLS)
- make_description: add an option for URLs from reported_to
- make reported_to handling more convenient
- add accountsservice ignored words
- Put back VERBn prefixes for few logging calls
- debuginfo: fix clean_up function call
- augeas: trim spaces arround '='
- tests/configuration_files.at: fix save_conf_file() test failure
- Add build/ to POTFILES.skip
- spec: add augeas-devel to build requires
- load/save configuration via augeas
- create augeas lens for libreport
- Fix typo in a string
- spec: install ureport conf file and man page
- Update reporter-ureport manual pages
- ureport: add the configuration file
- Update reporter-ureport manual page
- anaconda: user a workflow in the report-cli event
- report-cli: add support for workflows
- wizard: do not show 'show log' expander if log is empty
- ureport: print the error response body only in verbose mode
- Load a config file from several directories
- Export EXIT_STOP_EVENT_RUN in python modules
- reporter-bugzilla: if adding to existing BZ, clearly flag comment as a dup.
- Fix a small mistake in "Use log_ family instead of VERBn log calls" commit
- ureport: implement attaching of contact email
- Do not load "always editable" files if they are HUGE. Fixes rhbz1010167.
- shorten default Bugzilla bug summary format
- Update translations
- XML parser: keep region specific translation texts

* Sat Oct 26 2013 Jakub Filak <jfilak@redhat.com> 2.1.9-1
- rephrase a message for missing configuration
- ask for missing configuration instead of dying
- Client API: introduce non-iteractive mode
- spec: add systemd-devel to BuildRequires
- Use log_ family instead of VERBn log calls
- Add journald support
- Modify logging to use various logging levels
- Include hostname in mailx notification
- enable reporting to Red Hat Support tool for anaconda bugs
- bugzilla: set URL field
- fix an overflow condition in parse time fn for x32 arch
- add a short explanation of private tickets - related rhbz#1011916
- don't use popup to ask for a private ticket - related rhbz#1011916

* Fri Oct 04 2013 Jakub Filak <jfilak@redhat.com> 2.1.8-1
- disable rhel/fedora workflows for anaconda
- added whitelist for sensitive data - rhbz#1009730 rhbz#896246
- ureport: always add BTHASH link to a report
- reprot-gtk: underline tab titles with sensitive information
- introduce FILENAME_EXPLOITABLE; related to abrt/abrt#703

* Wed Sep 11 2013 Jakub Filak <jfilak@redhat.com> 2.1.7-1
- Fix problem_item_format() to work properly after 2038 on x32. #691
- Use proper json-c requirement in libreport-web.pc.
- abrt-cli info: even -s 10 should show one-liners. #690
- add checks for existing dumpdir items - closes #164
- Create helper functions for sha1-hashing strings. #694
- can now use custom repo filters for enabling repos, related abrt/abrt#688
- add docstrings, remove global variable - related #171
- fixed exception handling - closes #173
- added checks for locked dump directory to dd_* functions, closes #133
- fixed the symlinks handling in get_file_list abrt/abrt#686
- make the build in the the build directory to not pollute the source tree
- fixed debugInfoDownload so that it can process local repos - closes #48
- Increase text size limit from 1Mb to 8 MB. rhbz#887570.
- print warning when there is not engough free space for debuginfos, closes #170
- autogen.sh: improve dependency parser
- ignore directories without type element - rhbz#958968
- abrt_xmlrpc: increase XML_SIZE_LIMIT to 4 mbytes. rhbz#961520.
- ask user to create a private report if it contains sensitive data - rhbz#960549
- updated translation rhbz#860555
- updated transifex url
- do not leak file rhbz#997871
- in KDE session open URLs in kde-open
- report-gtk: use wrapped text for warning labels
- spec: remove abrt-screencast
- remove obsoleted abrt-screencast
- Fix create_symlink_lockfile() to not emit ENOENT when asked not to.
- do not store potentially big data in /tmp
- New public function create_symlink_lockfile()

* Fri Jul 26 2013 Jakub Filak <jfilak@redhat.com> 2.1.6-1
- add related packages version in emergency event
- replace functions deprecated in Gtk-3.10 with their substitutes
- add missing compiler flags for g_type_init()
- fixed the bugzilla private group names rhbz#985881
- add helper function for GLib initialization
- spec: double up percent signs in chagelog entries
- spec: make anaconda package description more generic
- spec: install RHEL anaconda work flow
- workflows: add Anaconda work flow for RHEL
- spec: install all manual pages
- add all missing manual pages for configuration files
- spec: install only documentation files
- test: added unit test for parse_list
- added options to create private bz tickets rhbz#803772
- skip the workflow selection if there is only 1 available closes #167
- make rpm: add $RPM_FLAGS aux variable
- spec: added new workflow files rhbz#866027
- added missing workflows for Fedora rhbz#866027
- spec: build only workflow subpkg relevant for host's OS
- add Fedora Rawhide's os-release to os-release parsers unit tests
- spec: drop unnecessary Obsoletes and Provides
- spec: add manual pages to packages
- add several missing manual pages
- fix rpmlint issues in the spec file
- move non-conf XML files from /etc/libreport/ to /usr/share/libreport/
- spec: replace btparser with satyr
- Update satyr support, drop btparser compatibility
- fixed typo in config file related #866027
- resize the config window upon collapsing Advanced section
- spec: specify all config files
- fix indentation error
- rhbz: test xmlrpc env for errors in abrt_xmlrpc_call_params()
- rhbz: test rhbz_new_bug() return value for errors
- wizard: show accurate messages
- pass the problem_dir to the screencasting application closes #165
- spec: add dependency on fros rhbz#958979
- use fros instead of hard dependency on recordmydesktop rhbz#958979

* Fri Jun 14 2013 Jakub Filak <jfilak@redhat.com> 2.1.5-1
- configure.ac: Fix json-c detection for json-c >= 0.11
- make the uploader event available for all report types
- ureport: add conversion from abrt vmcore type to ureport KERNELOOPS type
- fixed relro flags rhbz#812283
- tweaked gitignore
- bugzilla: make rhbz_new_bug() more legible
- spec: fix Fedora < 18 configuration
- fix the syntax bug in the last commit
- rhbz: don't pass NULL in platform argument
- add function getting information about dump dir for uid
- spec: add anaconda configuration files
- anaconda: add proper configuration
- rhbz: do not try to attach empty files
- cmp_problem_data: use 0 for value if element is missing
- try to delete dump dirs using abrtd in the first step
- workflow_config_dialog: get rid of deprecated warning
- refactor: add functions for custom application conf
- refactore: get rid of g_hash_table* calls in user_settings
- workflow config: use scrollbars instead of enormous window size
- spec: don't require recordmydesktop - rhbz#959475
- create last_occurrence at the time of the first crash
- spec: use the correct libjson pkg name in suse
- updated translation
- tweak SPEC for openSUSE abrt/abrt#589
- do not build or install BZ dependencies when --without-bugzilla
- do not build or install any piece of BZ when --without-bugzilla
- reporter-bugzilla: remove recently added aux. files from bz reports
- reporter-bugzilla: support new format keyword %%reporter

* Mon Apr 29 2013 Jakub Filak <jfilak@redhat.com> 2.1.4-1
- spec: added missing requires to silence the rpmdiff rhbz#881305
- ureport: save solutions in not-reportable item
- added flag to not retry locking the incomplete problem dir
- wizard: trivial - make value column click-sortable too
- plugins: support /etc/os-release
- unit tests: add test for problem data get osinfo
- problem data: add function getting parsed osinfo
- unit tests: add test for osinfo parsers
- add function for parsing os-release
- dd: add /etc/os-release to basic files
- refactorize: map_string_t clean up
- wizard: fix clickability of the item list column header
- add test for parse_release + openSUSE
- read and parse os_release on openSUSE
- wizard: eliminate evd->error_msg member
- wizard: remove a bunch of evd->foo members
- debuginfo downloader should enable repos matching *debug* closes #138
- Replace "THANKYOU" with EXIT_STOP_EVENT_RUN exit code (70)
- wizard: trivial: make a copy for evd->event_name
- gui/cli: unify and improve event exit code reporting #74
- includes: add macro for last occurrence dump dir file
- debuginfo downloader: fix DebugInfoDownload::download() error paths.
- src/client-python/__init__.py: trivial bug fix (remove stray printout)
- report-gtk: handle user cancellation gracefully
- logging: refine errors reporting
- emit a message when searching bugzilla for duplicates closes #151
- reporter-upload: create tarball with the name based on directory's name
- reporter-rhtsupport: generate archive name from problem dir name
- added report-cli event for anaconda should help with rhbz#950544
- ss: skip option holding NULL values
- spec: added new event for anaconda reporting rhbz#926916
- fixed reporting from bugzilla rhbz#926916
- distinguish the event configuration by problem type in the UI closes #149
- report-gtk: show Next Step btn at workflow start
- curl upload helper: upload data with "application/octet-stream" content type
- reporter-rhtsupport: fix hint query to use correct URL

* Wed Mar 27 2013 Jakub Filak <jfilak@redhat.com> 2.1.3-1
- rhbz: get id of duplicate from correct field
- change the "exited with" message with something less technical closes #143
- spec: integration with satyr
- Integration with satyr
- dump_dir_accessible_by_uid(): clear errno if error didn't occur
- reporter-rhtsupport: improve logging
- reporter-rhtsupport: upload file to BigFileURL if it is large
- dd: document used errno values in dump_dir_accessible_by_uid()
- add rhel package with appropriate workflow definitions
- add workflow definitions for RHEL
- Add test for is_text_file
- improve is_text_file() to not treat valid Unicode as bad_chars
- reporter-rhtsupport: fix double-free error
- reporter-upload: move file upload function to lib/
- reporter-upload: factor out HTTP PUT upload
- reporter-rhtsupport: skip hints check if uploaded data is really large
- reporter-rhtsupport: make -t[CASE_ID] work without FILEs. Closes #140
- reporter-rhtsupport: factor out tarball creation
- Update debug build scripts
- RHTS support: regularize order of functions and comments
- fread_with_reporting: make progress indicator less noisy
- fix name mangling define in the header
- report-gtk: update excluded elements check boxes before emergency analysis event

* Tue Mar 19 2013 Jakub Filak <jfilak@redhat.com> 2.1.2-1
- always treat os-release as textual related to rhbz#922433
- is_text_file(): bump allowable non-ASCII chars from 2%% to 10%%. Closes rhbz#922433
- report-gtk: don't clear warnings after reporting is finished
- report-gtk: show tabs only in verbose expert mode
- ureport: improve messages. Closes #579
- spec: added xml_parser header to -devel subpackage related #137
- fixed workflow localization closes #137
- uReport: do not show URL twice in error output
- uReport: detect missing type field at client side
- uReport: add more explanatory message when upload fails
- report-gtk: prettify the workflow buttons rhbz#917694
- workflows: a less confusing event name for reporting to Fedora infrastructure
- workflows: correct an event name for reporting to Fedora in anaconda config
- autogen.sh: stop using bashisms
- run_event_state: expose children_count in python wrapper
- configure.ac: Fix wrong variable name
- add the proxy options to the addvanced section of event configurations
- - don't suid before running yum related to rhbz#759443
- ss: stop reconnecting to the session bus
- update translation
- add targets to makefile to ease the new release process
- spec: bundle the docs to the -devel package related to #614
- added doxygen support for generating api docs closes #614
- add a button to report reporting failures
- ss: destroy all timeout GSources attached to the main context
- ss: add a timeout to the waiting for the Completed signal
- dd: convert time at lock time
- fixed the previous commit
- added helper for marking problem as not reportable
- logging: pass a single dot from event's process correctly
- spawn_next_command: make process group creation optional
- fork_execv_on_steroids: fix close/move order of fds, move getpwuid out of fork
- problem API: generate UUID if is missing instead of DUPHASH
- fix logic of 'Dont ask me again' dialogues (stop returning true for all options)
- autogen: add function which installs dependencies (works on Fedora)
- make [p]error_msg[_and_die] more fork-in-multithreaded-app safe
- Suppress "initialization discards 'const' qualifier" build failure
- Make forking code paths more robust.
- curl_debug: fix use of "%%.*s" (need to pass an int, not size_t)
- report-gtk: gtk_scrolled_window_add_with_viewport has been deprecated since gtk-3.7.8
- curl_debug: prettify debug output
- report-gtk: gtk_scrolled_window_add_with_viewport has been deprecated

* Thu Feb 07 2013 Jakub Filak <jfilak@redhat.com> 2.1.1-1
- move 'reporter-mailx' from post-create event to notify(-dup) event
- reporter-bugzilla: use base64 XMLRPC type for encoded data instead of string type
- ureport: fix extra quoting when reporting error messages

* Mon Feb 04 2013 Jakub Filak <jfilak@redhat.com> 2.1.0-1
- dd: unify error handling in save_binary_file()
- dd_sanitize: don't sanitize symlinks
- rpm: preserve old configuration for <F17 and <REHL7
- configure: change defaults to be compliant with /var/tmp/abrt
- configure: fix dump dir mode help string
- dd: always sanitize mode of saved file
- rhbz: replace obsolete methods by their substitutes
- reporter-rhtsupport: improve error detection and logging
- mailx: remove extra trailing newline in help text
- spec: add requires section for pygobject3
- reporter-rhtsupport: retain " Beta" suffix in version. Closes rhbz#896090
- Fix bugs discoverent by Coverity
- bz: swap 'bug id' arg with 'item name' arg in attach fn call
- dd: move dir accessibility check from abrt to libreport
- don't overwrite "type" rhbz#902828
- move chown functionality from ABRT DBus to libreport
- expose configure cmd options for dump dir mode and ownership
- cli: guard against user ^Z-ing editor and being stuck
- report-cli: don't close tty fd too early
- report-cli: switch terminal's fg process group to editor's one; and back
- dd: open symlinks on request
- minor fix to the pkg-config file
- reporter-rhtsupport: extract error message from Strata-Message: header
- add build time condition for dump dir ownership schema
- reporter-bz: post a comment to dup bug, if we found a dup. version 2.
- report-cli: use Client API
- report-cli: add event name prefix before question
- run_event: default callbacks for logging and errors
- make default dump dir mode configurable at build time
- Stop reading text files one byte at a time
- make dd_delete_item check that dd is locked
- never follow symlinks rhbz#887866
- Revert "reporter-bz: post a comment to dup bug, if we found a dup."
- wizard: make radio-button text wrap
- reporter-bz: post a comment to dup bug, if we found a dup.
- added missing article
- make the dependency on recordmydesktop soft - related to rhbz#891512
- cli: use !ec_skip_review as indicator that the event is a reporter
- Add and use "report-cli" event instead of removed "report-cli -r" option
- cli: remove superfluous problem_data_free() call
- small tweaks atop report-cli rework #3
- small tweaks atop report-cli rework #2
- small tweaks atop report-cli rework
- uReport: add more explanatory message when upload fails
- report-cli rework
- don't require recordmydesktop on RHEL rhbz#891512
- fixed the relro flags rhbz#812283
- bugzilla_format_kernel.conf: Attach dmesg element. Closes rhbz#826058
- bugzilla_format_kernel.conf: fix %%summary
- Make get_dirsize_find_largest_dir less talkative.
- Minor fixes: robustify start_command(), fix style, fix English in msgs
- Fix typo, remove c-format from a not c-formatted message

* Wed Nov 14 2012 Jakub Filak <jfilak@redhat.com> 2.0.19-1
- bugzilla_format[_libreport].conf: emit truncated backtrace into its own paragraph
- reporter-bz: use Jakub's version of is_explicit_or_forbidden()
- bugzilla_format[_libreport].conf: do not attach event_log
- bugzilla_format[_libreport].conf: include uid. Closes trac#865
- bugzilla_format{,_libreport}.conf: exclude many more one-liners
- Create bugzilla_format_{libreport,kernel}.conf and install them.
- reporter-bz: implement %%summary in -F FMTFILE
- reporter-bz: make binary attachments have "application/octet-stream" MIME-type
- reporter-bz: implement %%attach in -F FMTFILE
- reporter-bz: reinstate "short backtrace" generation
- make make_description_item_multiline() static
- reporter-bz: add -F FMTFILE option
- use gtk_show_uri() instead of own launcher
- prevent gnome-open/xdg-open zombie processes
- update kerneloops urls
- Reinstate "description" field for now
- don't force the minimal rating trac#854
- minor cosmetic fix related to trac#854
- typo fix
- add support for forwarding of report client requests
- fix i18n in event client communication protocol
- add event name to the error message - can't get secret item
- switch all load_conf_file() calls to use skipKeysWithoutValue=false
- hide the spinner when the event processing is finishes trac#852
- add a method for loading of configuration of a single event
- unlock secret collection only on meaningful demand
- fix secret item look up for gnome-keyring
- Remove FILENAME_DESCRIPTION

* Thu Nov 01 2012 Jakub Filak <jfilak@redhat.com> 2.0.18-1
- reporter-bz: tighten up checking that BZ server gave us its version; fix recently broken settings parsing
- reporter-bz: make selinux-policy special case controllable from config file
- reporter-bz: if we create a new bug but cross-version dup exists, add a note
- reporter-bz: make rhbz_search_duphash static, use it more widely

* Wed Oct 24 2012 Jakub Filak <jfilak@redhat.com> 2.0.17-1
- update CWD after stealing of a dump directory
- get product/version from system configuration
- shorten bz summary if its length exceeds 255 chars
- add full kerneloops to the uReport
- reporter-bz: require bz version match when searching for dups. Closes rhbz#849833
- reporter-bz: eliminate bugzilla_struct::b_product - use auto var instead
- Move struct bugzilla_struct to its only user, reporter-bugzilla.c
- reporter-bz: do not needlessly open dd if -f; assorted small fixes
- added relro to reportclient.so and _pyreport.so rhbz#812283
- bz reporter: include ROOTDIR, OS_RELEASE_IN_ROOTDIR, EXECUTABLE elements
- Fix report-newt segfault

* Thu Oct 11 2012 Jakub Filak <jfilak@redhat.com> 2.0.16-1
- expand events from a chain and process expanded events separately
- report-gtk: move selection of event to a right place
- fix a crash while report-gtk startup (use the correct variable)
- wizard: allow "non-reportable" reporting for experts; disallow it for non-experts
- fix typo in function name, remove unnecessary forward declaratioins
- wizard: fix a thinko in last commit (thanks Jakub)
- wizard: check for NON_REPORTABLE file, stop if it exists.FILE
- wizard: remove unnecessary if (1) {...} block. No code changes
- don't update the selected event while processing it
- check D-Bus err name without leaking nor crashing
- ureport: always include offset
- add Makefile target release-fix

* Wed Jun 01 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.2-1
- initial packaging
